### Method

# Gdk Monitor get_scale_factor

#### Declaration [src]

    int
    gdk_monitor_get_scale_factor (
      GdkMonitor* monitor
    )

#### Description [src]

Gets the internal scale factor that maps from monitor coordinates to device pixels.

On traditional systems this is 1, but on very high density outputs it can be a higher value (often 2).

This can be used if you want to create pixel based data for a particular monitor, but most of the time you’re drawing to a surface where it is better to use `gdk_surface_get_scale_factor()` instead.

Gets property | `Gdk.Monitor:scale-factor`

#### Return value

Type: `int`

The scale factor.